USERDEL(8)

NAME
userdel - Delete a user account and related files

SYNOPSIS
userdel [-r] login

DESCRIPTION
The userdel command modifies the system account files, deleting all entries that refer to login. If USERGROUPS_ENAB is set to yes in /etc/login.defs, then userdel will also remove entries in /etc/group that refer to login if, and only if, there are no members of that group listed, or the only member is login. The named user must exist.

-r  Files in the user's home directory will be removed along with the home directory itself and the user's mail spool. Files located in other file systems will have to be searched for and deleted manually.

FILES
/etc/passwd - user account information
/etc/shadow - secure user account information
/etc/group - group information
/etc/login.defs - login configuration file

EXIT VALUES
0    - success
1    - can't update password file
2    - bad command syntax
6    - specified user doesn't exist
8    - user currently logged in
10    - can't update group file
12    - can't remove home directory

CAVEATS
userdel will not allow you to remove an account if the user is currently logged in. You must kill any running processes which belong to an account that you are deleting. You may not remove any NIS attributes on an NIS client. This must be performed on the NIS server.

SEE ALSO
chfn(1), chsh(1), groupadd(8), groupdel(8), groupmod(8), passwd(1), useradd(8), usermod(8), login.defs(5)

AUTHOR
Julianne Frances Haugh (jfh@austin.ibm.com)